Bug 601585 - Review Request: perl-mime-construct - Construct/send MIME messages from the command line
Summary: Review Request: perl-mime-construct - Construct/send MIME messages from the c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 602598
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 09:28 UTC by Matthias Runge
Modified: 2015-01-06 13:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-28 19:26:23 UTC
Type: ---
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2010-06-08 09:28:00 UTC
Spec URL: http://www.matthias-runge.de/fedora/perl-mime-construct.spec
SRPM URL: http://www.matthias-runge.de/fedora/perl-mime-construct-1.10-1.fc13.src.rpm
Description: 
mime-construct constructs and (by default) mails MIME messages.  
It is entirely driven from the command line, it is designed to be used 
by other programs, or people who act like programs.

Comment 1 Matthias Runge 2010-06-08 09:29:05 UTC
[mrunge@mrungexp SPECS]$ rpmlint ../SRPMS/perl-mime-construct-1.10-1.fc13.src.rpm ../RPMS/noarch/perl-mime-construct-1.10-1.fc13.noarch.rpm perl-mime-construct.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Petr Pisar 2010-06-21 13:01:25 UTC
$ rpmlint  perl-mime-construct.spec ../RPMS/noarch/perl-mime-construct-1.10-1.fc13.noarch.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint is quiet.
License verified from README.
Despite the package contains only an executable there is no better package group than Development/Libraries.
Spec files seems good for me except following items:

Things to explain:
CPAN presents 1.9 version only. The 1.10 is not listed. The version breaks CPAN rules (1.10 is equaled to 1.1. Version next to 1.9 should be 2.0 or 1.91). This is probably the reason why not listed on CPAN. Add comment to URL or Source0 field why tar ball is not linked from homepage, or change URL to <http://www.argon.org/~roderick/>. 

Things to fix:
Add debian/changelog into %doc.

Comment 3 Matthias Runge 2010-06-22 08:11:24 UTC
Petr,

thank you for your response.

I've fixed the spec and changed URL as you suggested to <http://www.argon.org/~roderick/>

Further, I've contacted the author to explain the situation CPAN vs. own release.


Fiexd spec is here:


Spec URL: http://www.matthias-runge.de/fedora/perl-mime-construct.spec
SRPM URL: http://www.matthias-runge.de/fedora/perl-mime-construct-1.10-2.fc13.src.rpm

Comment 4 Petr Pisar 2010-06-22 08:33:32 UTC
Package approved.

Comment 5 Matthias Runge 2010-06-22 08:45:19 UTC
Thank you!

Comment 6 Matthias Runge 2010-06-22 08:48:11 UTC
New Package CVS Request
=======================
Package Name: perl-mime-construct
Short Description: Construct/send MIME messages from the command line 
Owners: mrunge
Branches: F-13

Comment 7 Kevin Fenzi 2010-06-23 01:50:11 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-06-24 06:43:08 UTC
perl-mime-construct-1.10-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-mime-construct-1.10-2.fc13

Comment 9 Fedora Update System 2010-06-24 08:27:26 UTC
perl-mime-construct-1.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-mime-construct-1.11-1.fc13

Comment 10 Fedora Update System 2010-06-24 16:24:17 UTC
perl-mime-construct-1.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-mime-construct'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-mime-construct-1.11-1.fc13

Comment 11 Ralf Corsepius 2010-06-28 14:44:53 UTC
This package was improperly reviewed:

The spec file lacks to prerequisites (From build.log):
...
Warning: prerequisite MIME::Types 0 not found.
Warning: prerequisite Proc::WaitStat 0 not found.
...

While MIME::Types exists in Fedora, Proc::WaitStat isn't.

This also show in rawhide reports:
http://lists.fedoraproject.org/pipermail/devel/2010-June/137922.html

Comment 12 Ralf Corsepius 2010-06-28 16:09:20 UTC
Forgot to mention:

There are two alternatives to resolve this issue:
a) Somebody (Matthias, Petr?) to submit the missing perl-Proc-WaitStat package

b) This package to be removed from Fedora.

Comment 13 Matthias Runge 2010-06-28 16:25:00 UTC
perl-WaitStat is submitted and already approved.

https://bugzilla.redhat.com/show_bug.cgi?id=602598

Sadly, I forgot to mark it as dependency here. If I had, this situation wouldn't happened.

When cvs request is processed, I'll submit perl-WaitStat into testing resp. updates and everything should be fine.

Shall I mark https://bugzilla.redhat.com/show_bug.cgi?id=602598 as dependency?

Comment 14 Till Maas 2010-06-28 16:26:10 UTC
(In reply to comment #12)
> Forgot to mention:
> 
> There are two alternatives to resolve this issue:
> a) Somebody (Matthias, Petr?) to submit the missing perl-Proc-WaitStat package

perl-Proc-WaitStat already finished review and is waiting for a CVS admin:
602598

Comment 15 Ralf Corsepius 2010-06-28 16:31:07 UTC
(In reply to comment #14)
> perl-Proc-WaitStat already finished review and is waiting for a CVS admin:
> 602598    
Thanks, for the info. I wasn't aware about this.

Comment 16 Till Maas 2010-06-28 16:32:01 UTC
(In reply to comment #13)

> When cvs request is processed, I'll submit perl-WaitStat into testing resp.
> updates and everything should be fine.

After you built perl-Proc-WaitStat please edit the perl-mime-construct updates to include the perl-Proc-WaitStat builds in Bodhi. This will also ensure that both builds will be pushed to stable at the same time.

> Shall I mark https://bugzilla.redhat.com/show_bug.cgi?id=602598 as dependency?    

I did this.

Comment 17 Ralf Corsepius 2010-06-28 16:37:43 UTC
Add
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Proc::WaitStat)
to perl-mime-construct.spec

Comment 18 Fedora Update System 2010-06-29 13:15:21 UTC
perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13

Comment 19 Matthias Runge 2010-06-30 07:09:06 UTC
As you've seen, perl-mime-construct and it's dependencies are built.
Thanks to everyone involved in this!

Comment 20 Fedora Update System 2010-06-30 15:15:59 UTC
perl-Proc-WaitStat-1.00-2.fc13, perl-mime-construct-1.11-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-WaitStat perl-mime-construct'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13

Comment 21 Matthias Runge 2010-09-23 09:38:10 UTC
Package Change Request
======================
Package Name: perl-mime-construct
New Branches: El-5 El-6
Owners: mrunge

Comment 22 Kevin Fenzi 2010-09-25 04:51:00 UTC
Git done (by process-git-requests).

Comment 23 Matthias Runge 2015-01-06 08:10:28 UTC
Package Change Request
======================
Package Name: perl-mime-construct
New Branches: EPEL7
Owners: mrunge

Comment 24 Gwyn Ciesla 2015-01-06 13:41:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.